Auth
Endpoints
- GETGet current Mem0 configuration
- GETList bundled LLM and embedder providers
- POSTConfigure Mem0
- POSTGenerate custom instructions from a use case
- POSTCreate memories
- GETGet memories
- GETGet a memory
- POSTSearch memories
- PUTUpdate a memory
- GETGet memory history
- DELETEDelete a memory
- DELETEDelete all memories
- POSTReset all memories
Requests
Update an existing memory.
Last updated Oct 11, 2026
PUT
/memories/{memory_id}Parameters
memory_idstringrequiredRequest Body
objectResponses
200Successful Response
application/jsonTry It
PUT
/memories/{memory_id}Update a memory
curl --request PUT \
--url '/memories/{memory_id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{}'Was this page helpful?